[kubuntu-devel] [Merge request] [kf 5.11 for wily part 2] Patches needed to update

Jonathan Riddell jr at jriddell.org
Mon Jun 15 05:11:06 UTC 2015


applied thanks


On Sat, Jun 13, 2015 at 02:07:38PM +0200, José Manuel Santamaría Lema wrote:
> Hi,
> 
> I needed to update the build depends in the following packages:
> - kglobalaccel
> - kidletime
> 
> Patches attached. 
> 
> Note that it's possible that cmake doesn't report a missing build dependency 
> when the packages are buillt in a kubuntu chroot, however they will be missing 
> when they are build in a debian sid chroot. Please consider including them 
> anyway, because they will improve the compatibilty with debian.

> From dd06bb356dc013c73b9a7093727a76a576256b5a Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Jos=C3=A9=20Manuel=20Santamar=C3=ADa=20Lema?=
>  <panfaust at gmail.com>
> Date: Thu, 11 Jun 2015 15:36:02 +0200
> Subject: [PATCH 1/2] Add libxcb-xtest0-dev to Build-depends.
> 
> ---
>  debian/control | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/debian/control b/debian/control
> index d00c1bd..300c601 100644
> --- a/debian/control
> +++ b/debian/control
> @@ -15,6 +15,7 @@ Build-Depends: cmake (>= 2.8.12),
>                 libqt5x11extras5-dev (>= 5.4),
>                 libx11-dev,
>                 libxcb-keysyms1-dev,
> +               libxcb-xtest0-dev,
>                 libxcb1-dev,
>                 pkg-config,
>                 pkg-kde-tools (>= 0.15.15ubuntu1~),
> -- 
> 2.1.4
> 

> From 3bb3b2fe3c10f505092c65d970713abebf1f3f7d Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Jos=C3=A9=20Manuel=20Santamar=C3=ADa=20Lema?=
>  <panfaust at gmail.com>
> Date: Fri, 12 Jun 2015 00:09:25 +0200
> Subject: [PATCH] Build depend on pkg-config.
> 
> ---
>  debian/control | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/debian/control b/debian/control
> index 1e4dd09..cf494a7 100644
> --- a/debian/control
> +++ b/debian/control
> @@ -10,6 +10,7 @@ Build-Depends: cmake (>= 2.8.12),
>                 libx11-xcb-dev,
>                 libxcb-sync-dev,
>                 libxcb1-dev,
> +               pkg-config,
>                 pkg-kde-tools (>= 0.15.15ubuntu1~),
>                 qtbase5-dev (>= 5.4)
>  Standards-Version: 3.9.6
> -- 
> 2.1.4
> 




> -- 
> kubuntu-devel mailing list
> kubuntu-devel at lists.ubuntu.com
> Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel




More information about the kubuntu-devel mailing list